<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0
                      http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <groupId>com.diffblue.vertx-xss-demo</groupId>
  <artifactId>vertx-xss-demo</artifactId>
  <version>1.0-SNAPSHOT</version>

  <dependencies>
    <dependency>
      <groupId>io.vertx</groupId>
      <artifactId>vertx-core</artifactId>
      <version>3.0.0</version>
    </dependency>
  </dependencies>

  <build>
    <plugins>
      <plugin>
        <artifactId>maven-compiler-plugin</artifactId>
        <version>3.3</version>
        <configuration>
          <source>1.7</source>
          <target>1.7</target>
        </configuration>
      </plugin>

      <plugin>
	<groupId>org.apache.maven.plugins</groupId>
	<artifactId>maven-shade-plugin</artifactId>
	<version>2.3</version>
	<executions>
	  <execution>
	    <phase>package</phase>
	    <goals>
              <goal>shade</goal>
	    </goals>
	    <configuration>
              <transformers>
		<transformer
		    implementation="org.apache.maven.plugins.shade.resource.ManifestResourceTransformer">
		  <manifestEntries>
		    <Main-Class>io.vertx.core.Starter</Main-Class>
		    <Main-Verticle>VertxXss</Main-Verticle>
		  </manifestEntries>
		</transformer>
              </transformers>
              <artifactSet/>
              <outputFile>${project.build.directory}/vertx-xss.jar</outputFile>
	    </configuration>
	  </execution>
	</executions>
      </plugin>      
      
    </plugins>
  </build>

</project>
